<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDrivers extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('drivers', function (Blueprint $table) {
            $table->id();
            $table->string('company_name');
            $table->char('record_id')->unique();
            $table->char('driver_id');
            $table->char('driver_pass');
            $table->char('siid')->nullable();
            $table->text('driver_vehicle')->nullable();
            $table->char('device_phone');
            $table->text('driver_status')->nullable();
            $table->string('last_active')->nullable();
            $table->string('driver_type')->nullable();
            $table->char('first_name');
            $table->char('last_name');
            $table->char('aka')->nullable();
            $table->text('driver_address')->nullable();
            $table->char('driver_email')->nullable();
            $table->char('mobile_phone')->nullable();
            $table->string('other_phone')->nullable();
            $table->text('driver_sex')->nullable();
            $table->char('ethnicity')->nullable();
            $table->string('payment_card')->nullable();
            $table->text('card_expiry_month')->nullable();
            $table->text('card_expiry_year')->nullable();
            $table->string('license_start_date')->nullable();
            $table->string('license_verb_date')->nullable();
            $table->string('badge')->nullable();
            $table->string('badge_expiry')->nullable();
            $table->string('badge_expiry_verb')->nullable();
            $table->string('badge_expiry_time')->nullable();
            $table->string('badge_type')->nullable();
            $table->string('driver_license_nu')->nullable();
            $table->string('license_expiry')->nullable();
            $table->string('license_expiry_verb')->nullable();
            $table->string('license_expiry_time')->nullable();
            $table->string('school_badge_expiry')->nullable();
            $table->string('school_badge_expiry_verb')->nullable();
            $table->string('school_badge_expiry_time')->nullable();
            $table->string('id_number')->nullable();
            $table->string('pvgdisclosure')->nullable();
            $table->string('uiformed')->nullable();
            $table->string('topman')->nullable();
            $table->string('acceptdiscount')->nullable();
            $table->string('acceptaccount')->nullable();
            $table->string('acceptfixedfare')->nullable();
            $table->string('device_imei')->nullable();
            $table->string('device_locked')->nullable();
            $table->string('device_os')->nullable();
            $table->string('phone_assist')->nullable();
            $table->string('invoice_frequency')->nullable();
            $table->string('payment_terms')->nullable();
            $table->string('output_options')->nullable();
            $table->string('invoice_footer')->nullable();
            $table->string('shifts')->nullable();
            $table->string('payment_day')->nullable();
            $table->string('payment_type')->nullable();
            $table->string('last_payment_date')->nullable();
            $table->string('last_payment_verb')->nullable();
            $table->string('last_payment_time')->nullable();
            $table->string('distribution')->nullable();
            $table->text('apply_vat')->nullable();
            $table->float('vat_rate')->nullable();
            $table->string('balance')->nullable();
            $table->text('exclude_booking')->nullable();
            $table->string('commission')->nullable();
            $table->text('auto_post')->nullable();
            $table->string('payment_vat_card')->nullable();
            $table->string('payment_vat_card_expiry_month')->nullable();
            $table->string('payment_vat_card_expiry_year')->nullable();
            $table->string('bank_payment_ref')->nullable();
            $table->string('use_sepa')->nullable();
            $table->char('bank_name')->nullable();
            $table->text('account_name')->nullable();
            $table->text('sort_code')->nullable();
            $table->string('account_number')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('drivers');
    }
}
